Changeset 8123 in vbox for trunk/src/VBox/Installer/solaris
- Timestamp:
- Apr 18, 2008 8:09:29 AM (17 years ago)
- svn:sync-xref-src-repo-rev:
- 29826
- Location:
- trunk/src/VBox/Installer/solaris
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/Installer/solaris/Makefile.kmk
r7864 r8123 225 225 $(QUIET)$(INSTALL) -m 0644 $(PATH_ROOT)/doc/ReadMe-Solaris.txt $(SOLARISINSTDIR)/ReadMe.txt 226 226 $(call MSG_L1,Creating install package: $(PKGFILENAME).tar.gz) 227 $(QUIET)$(SOLARISINSTDIR)/makepackage.sh $(SOLARISINSTDIR) $(PKGFILENAME) $(BUILD_TARGET_ARCH) 1>/dev/null 2>/dev/null227 $(QUIET)$(SOLARISINSTDIR)/makepackage.sh $(SOLARISINSTDIR) $(PKGFILENAME) $(BUILD_TARGET_ARCH) 228 228 $(QUIET)$(INSTALL) -m 0755 $(SOLARISINSTDIR)/$(PKGFILENAME).tar.gz $(PATH_BIN) 229 229 -
trunk/src/VBox/Installer/solaris/makepackage.sh
r8080 r8123 1 1 #!/bin/sh 2 set -e 2 3 # innotek VirtualBox 3 4 # VirtualBox Solaris package creation script. … … 23 24 fi 24 25 26 MY_PKGNAME=SUNWvbox 27 MY_GGREP=/usr/sfw/bin/ggrep 28 MY_AWK=/usr/bin/awk 29 MY_GTAR=/usr/sfw/bin/gtar 30 31 # check for GNU grep we use which might not ship with all Solaris 32 if test ! -f "$MY_GGREP" || test ! -h "$MY_GGREP"; then 33 echo "## GNU grep not found in $MY_GGREP." 34 exit 1 35 fi 36 37 # check for GNU tar we use which might not ship with all Solaris 38 if test ! -f "$MY_GTAR" || test ! -h "$MY_GTAR"; then 39 echo "## GNU tar not found in $MY_GTAR." 40 exit 1 41 fi 42 43 44 # prepare file list 25 45 cd "$1" 26 46 echo 'i pkginfo=./vbox.pkginfo' > prototype … … 29 49 echo 'i space=./vbox.space' >> prototype 30 50 echo 'e sed /etc/devlink.tab ? ? ?' >> prototype 31 find . -print | /usr/sfw/bin/ggrep -v -E 'prototype|makepackage.sh|vbox.pkginfo|postinstall.sh|preremove.sh|ReadMe.txt|vbox.space' | pkgproto >> prototype 32 /usr/bin/awk 'NF == 6 && $2 == "none" { $5 = "root"; $6 = "bin" } { print }' prototype > prototype2 33 /usr/bin/awk 'NF == 6 && $2 == "none" { $3 = "opt/VirtualBox/"$3"="$3 } { print }' prototype2 > prototype 51 find . -print | $MY_GGREP -v -E 'prototype|makepackage.sh|vbox.pkginfo|postinstall.sh|preremove.sh|ReadMe.txt|vbox.space' | pkgproto >> prototype 52 53 # don't grok for the sed class files 54 $MY_AWK 'NF == 6 && $2 == "none" { $5 = "root"; $6 = "bin" } { print }' prototype > prototype2 55 $MY_AWK 'NF == 6 && $2 == "none" { $3 = "opt/VirtualBox/"$3"="$3 } { print }' prototype2 > prototype 34 56 35 57 # install the kernel module to the right place. 36 58 if test "$3" = "x86"; then 37 /usr/bin/awk'NF == 6 && $3 == "opt/VirtualBox/vboxdrv=vboxdrv" { $3 = "platform/i86pc/kernel/drv/vboxdrv=vboxdrv" } { print }' prototype > prototype259 $MY_AWK 'NF == 6 && $3 == "opt/VirtualBox/vboxdrv=vboxdrv" { $3 = "platform/i86pc/kernel/drv/vboxdrv=vboxdrv" } { print }' prototype > prototype2 38 60 else 39 /usr/bin/awk'NF == 6 && $3 == "opt/VirtualBox/vboxdrv=vboxdrv" { $3 = "platform/i86pc/kernel/drv/amd64/vboxdrv=vboxdrv" } { print }' prototype > prototype261 $MY_AWK 'NF == 6 && $3 == "opt/VirtualBox/vboxdrv=vboxdrv" { $3 = "platform/i86pc/kernel/drv/amd64/vboxdrv=vboxdrv" } { print }' prototype > prototype2 40 62 fi 41 63 42 /usr/bin/awk'NF == 6 && $3 == "opt/VirtualBox/vboxdrv.conf=vboxdrv.conf" { $3 = "platform/i86pc/kernel/drv/vboxdrv.conf=vboxdrv.conf" } { print }' prototype2 > prototype64 $MY_AWK 'NF == 6 && $3 == "opt/VirtualBox/vboxdrv.conf=vboxdrv.conf" { $3 = "platform/i86pc/kernel/drv/vboxdrv.conf=vboxdrv.conf" } { print }' prototype2 > prototype 43 65 44 66 rm prototype2 45 pkgmk -o -r .46 pkgtrans -s -o /var/spool/pkg `pwd`/$2 SUNWvbox47 /usr/sfw/bin/gtar zcvf $2.tar.gz $2 autoresponse ReadMe.txt48 rm -rf /var/spool/pkg/SUNWvbox49 67 68 # explicitly set timestamp to shutup warning 69 VBOXPKG_TIMESTAMP=vbox`date '+%Y%m%d%H%M%S'` 70 71 # create the package instance 72 pkgmk -p $VBOXPKG_TIMESTAMP -o -r . 73 if test $? -ne 0; then 74 exit 1 75 fi 76 77 # translate into package datastream 78 pkgtrans -s -o /var/spool/pkg `pwd`/$2 "$MY_PKGNAME" 79 if test $? -ne 0; then 80 exit 1 81 fi 82 83 $MY_GTAR zcvf $2.tar.gz $2 autoresponse ReadMe.txt 84 85 if test $? -eq 0; then 86 echo "## Packaging and transfer completed successfully!" 87 fi 88 rm -rf "/var/spool/pkg/$MY_PKGNAME" 89 exit $? 90 -
trunk/src/VBox/Installer/solaris/vbox.space
r7692 r8123 1 1 # Space file for VirtualBox installer 2 opt 800 1 2 # We only create a few links so we don't need much space 3 # pathname blocks inodes 4 / 1000 8 3 5
Note:
See TracChangeset
for help on using the changeset viewer.